/*
 * Frontend Status Monitor plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __EPGSEARCHCFG_H
#define __EPGSEARCHCFG_H

#include <stdio.h>
#include <string.h>

extern const char *SVDRPSendCmd;
extern int toggleKeys;

typedef enum
{
    showNow=0,
    showNext,
    showUserMode1,
    showUserMode2,
    showUserMode3,
    showUserMode4,
    showModeMax
} showMode;

class cShowMode
{
 public:
    int iTime;
    char szDescription[30];
    int bUseIt;
    
    cShowMode() : iTime(0), bUseIt(0) { szDescription[0]=0;}
    char* GetDescription() { return szDescription; }
    int GetTime() { return iTime; }
    bool GetUsage() { return bUseIt; }

    void SetDescription(const char* szD) 
	{ 
	    strcpy(szDescription, szD);
	}
    void SetTime(int iT) { iTime = iT; }
    void SetUsage(bool bU) { bUseIt = bU; }
};

struct cEPGSearchConfig
{
public:
cEPGSearchConfig(void);
    int hidemenu;
    int ReplaceOrgSchedule;
    int redkeymode;
    int bluekeymode;
    int showProgress;
    int showProgressNext;
    int ProgressWidth;
    int showChannelNr;
    int useSearchTimers;
    int UpdateIntervall;
    int SVDRPPort;
    int timeShiftValue;
    int toggleGreenYellow;
    int useShortChNames;
    int StartMenu;
    int DefPriority;
    int DefLifetime;
    int DefMarginStart;
    int DefMarginStop;
    int checkTimerConflicts;
    int ignorePayTV;
    int useExternalSVDRP;
    int ignorePrimary;
    cShowMode ShowModes[6];
};

extern cEPGSearchConfig EPGSearchConfig;

#endif // __EPGSEARCHCFG_H
